defaults:
  - q4l_exp_default
  - data/loader/alpha@data.loader.alpha.ohlcvp: ohlcvp
  - override model: lstm

data:
  loader:
    verbose: true
  region: cn
  pool: csi1000
  sampler:
    y_group:
      - c2c
    x_window: 30
    sample_mode: C
    batch_size: 1
    x_group:
      - ohlcvp
    sample_y_as_x: true
  use_shm: false
  shm_name: q4l_shm_data
  benchmark: 000852_XSHG
  graph:
    use_wikidata: true
    use_industry: true
    wikidata_dir: ./data/wikidata/stock_graph
    industry_dir: ./data/industry

model:
  basic_info:
    valid_metric: valid_ret
    patience: 10
  trainer:
    max_epochs: 100

time:
  start_time: 2016-01-01
  end_time: 2022-12-31
  fit_start_time: 2016-01-01
  fit_end_time: 2020-04-01
  rolling_step: 66
  rolling_type: expanding
  segments:
    train:
      - start: 2016-01-01
        end: 2020-04-01
    valid:
      - start: 2020-04-02
        end: 2020-06-30
    test:
      - start: 2020-07-01
        end: 2022-12-31
